Description: set path to script according to autopkgtest environment
Origin: vendor
Forwarded: not-needed
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2025-01-11

--- a/t/01-no-color.t
+++ b/t/01-no-color.t
@@ -21,7 +21,8 @@
     $exp =~ s/STAMP:2/$stamp{$f2}/g;
     #diag "Description: $dsc";
     #diag "Options:     $opt";
-    my @cmd = ($^X, "ccdiff", "--utf-8", "--no-color", "Files/$f1", "Files/$f2");
+    my $path = ( $ENV{AUTOPKGTEST_TMP} ? '/usr/bin' : '.' );
+    my @cmd = ($^X, "$path/ccdiff", "--utf-8", "--no-color", "Files/$f1", "Files/$f2");
     $opt and push @cmd, split m/ / => $opt;
     #diag "@cmd";
     my ($out, $err, $exit) = capture { system @cmd; };
